import { _ as _sliced_to_array } from "@swc/helpers/_/_sliced_to_array";
import { createBabelChain } from "@modern-js/babel-preset-base";
import { aliasPlugin } from "./alias";
import { envPlugin } from "./env";
import { globalVarsPlugin } from "./globalVar";
export var getPlugins = function(libPresetOption) {
  var chain = createBabelChain();
  var finalPlugins = [];
  if (libPresetOption.globalVars) {
    finalPlugins.push(globalVarsPlugin(libPresetOption.globalVars));
  }
  if (libPresetOption.envVars) {
    finalPlugins.push(envPlugin(libPresetOption.envVars));
  }
  if (libPresetOption.alias) {
    finalPlugins.push(aliasPlugin(libPresetOption.alias));
  }
  var _iteratorNormalCompletion = true, _didIteratorError = false, _iteratorError = void 0;
  try {
    for (var _iterator = finalPlugins[Symbol.iterator](), _step; !(_iteratorNormalCompletion = (_step = _iterator.next()).done); _iteratorNormalCompletion = true) {
      var plugin = _step.value;
      var _plugin = _sliced_to_array(plugin, 2), name = _plugin[0], opt = _plugin[1];
      chain.plugin(name).use(require.resolve(name), [
        opt
      ]);
    }
  } catch (err) {
    _didIteratorError = true;
    _iteratorError = err;
  } finally {
    try {
      if (!_iteratorNormalCompletion && _iterator.return != null) {
        _iterator.return();
      }
    } finally {
      if (_didIteratorError) {
        throw _iteratorError;
      }
    }
  }
  return chain;
};
